import 'package:ef/ef.dart';
import 'package:json_annotation/json_annotation.dart';

part 'issue_preview_controller.g.dart';

@JsonSerializable()
class IssuePreviewInfoModel {

  IssuePreviewInfoModel();

  static IssuePreviewInfoModel fromJson(Map<String, dynamic> json) =>
      _$IssuePreviewInfoModelFromJson(json);
  Map<String, dynamic> toJson() => _$IssuePreviewInfoModelToJson(this);
}

class IssuePreviewInfoController extends GetControllerEx<IssuePreviewInfoModel> {
  IssuePreviewInfoController() {
    attr = GetModel(IssuePreviewInfoModel()).obs;
  }
}
